package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.time.Instant;
import java.util.Objects;

/**
 * A DTO for the TBSuppliesUsingDetails entity.
 */
public class TBSuppliesUsingDetailsDTO implements Serializable {

    private Long id;

    private String dosage;

    private Double quantity;

    private Double cost;

    private String howToUse;

    private Long tbEquipmentOfCustomerId;

    private String equipmentName;

    private Long tbSuppliesInWarehouseId;

    private String supplyName;

    private String supplyUnit;

    private Long tbActivityId;

    private Long tbGuidelineActivityId;

    private Long tbEntityId;

    private String tbEntityName;

    private Long tbBlockDetailsId;

    private String tbBlockDetailsCode;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDosage() {
        return dosage;
    }

    public void setDosage(String dosage) {
        this.dosage = dosage;
    }

    public Double getQuantity() {
        return quantity;
    }

    public void setQuantity(Double quantity) {
        this.quantity = quantity;
    }

    public Double getCost() {
        return cost;
    }

    public void setCost(Double cost) {
        this.cost = cost;
    }

    public String getHowToUse() {
        return howToUse;
    }

    public void setHowToUse(String howToUse) {
        this.howToUse = howToUse;
    }

    public Long getTbSuppliesInWarehouseId() {
        return tbSuppliesInWarehouseId;
    }

    public void setTbSuppliesInWarehouseId(Long tbSuppliesInWarehouseId) {
        this.tbSuppliesInWarehouseId = tbSuppliesInWarehouseId;
    }

    public Long getTbEquipmentOfCustomerId() {
        return tbEquipmentOfCustomerId;
    }

    public void setTbEquipmentOfCustomerId(Long tBEquipmentOfCustomerId) {
        this.tbEquipmentOfCustomerId = tBEquipmentOfCustomerId;
    }

    public Long getTbActivityId() {
        return tbActivityId;
    }

    public void setTbActivityId(Long tbActivityId) {
        this.tbActivityId = tbActivityId;
    }

    public Long getTbGuidelineActivityId() {
        return tbGuidelineActivityId;
    }

    public void setTbGuidelineActivityId(Long tbGuidelineActivityId) {
        this.tbGuidelineActivityId = tbGuidelineActivityId;
    }

    public String getEquipmentName() {
        return equipmentName;
    }

    public void setEquipmentName(String equipmentName) {
        this.equipmentName = equipmentName;
    }

    public String getSupplyName() {
        return supplyName;
    }

    public void setSupplyName(String supplyName) {
        this.supplyName = supplyName;
    }

    public String getSupplyUnit() {
        return supplyUnit;
    }

    public void setSupplyUnit(String supplyUnit) {
        this.supplyUnit = supplyUnit;
    }

    public Long getTbEntityId() {
        return tbEntityId;
    }

    public void setTbEntityId(Long tbEntityId) {
        this.tbEntityId = tbEntityId;
    }

    public String getTbEntityName() {
        return tbEntityName;
    }

    public void setTbEntityName(String tbEntityName) {
        this.tbEntityName = tbEntityName;
    }

    public Long getTbBlockDetailsId() {
        return tbBlockDetailsId;
    }

    public void setTbBlockDetailsId(Long tbBlockDetailsId) {
        this.tbBlockDetailsId = tbBlockDetailsId;
    }

    public String getTbBlockDetailsCode() {
        return tbBlockDetailsCode;
    }

    public void setTbBlockDetailsCode(String tbBlockDetailsCode) {
        this.tbBlockDetailsCode = tbBlockDetailsCode;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        TBSuppliesUsingDetailsDTO tBSuppliesUsingDetailsDTO = (TBSuppliesUsingDetailsDTO) o;
        if (tBSuppliesUsingDetailsDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), tBSuppliesUsingDetailsDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    @Override
    public String toString() {
        return "TBSuppliesUsingDetailsDTO{" +
            "id=" + getId() +
            ", dosage='" + getDosage() + "'" +
            ", quantity=" + getQuantity() +
            ", cost=" + getCost() +
            ", howToUse='" + getHowToUse() + "'" +
            ", tbEquipmentOfCustomer=" + getTbEquipmentOfCustomerId() +
            ", tbSuppliesInWarehouse=" + getTbSuppliesInWarehouseId() +
            "}";
    }

}
